## golang-github-gogo-googleapis 1.0.0

=== Makefile ===
URL="https://raw.githubusercontent.com/googleapis/googleapis/master/"

test:
	go test ./...

regenerate:
	go install github.com/gogo/googleapis/protoc-gen-gogogoogleapis

	protoc \
	--gogogoogleapis_out=\
	Mgoogle/protobuf/duration.proto=github.com/gogo/protobuf/types,\
	Mgoogle/protobuf/any.proto=github.com/gogo/protobuf/types,\
	:. \
	-I=. \
	google/rpc/status.proto \
	google/rpc/error_details.proto \
	google/rpc/code.proto \

	protoc \
	--gogogoogleapis_out=\
	Mgoogle/protobuf/descriptor.proto=github.com/gogo/protobuf/protoc-gen-gogo/descriptor,\
	:. \
	-I=. \
	google/api/http.proto \
	google/api/annotations.proto

update:
	go install github.com/gogo/protobuf/gogoreplace

	(cd ./google/rpc && rm status.proto; wget ${URL}/google/rpc/status.proto)
	gogoreplace \
		'option go_package = "google.golang.org/genproto/googleapis/rpc/status;status";' \
		'option go_package = "rpc";' \
		./google/rpc/status.proto

	(cd ./google/rpc && rm error_details.proto; wget ${URL}/google/rpc/error_details.proto)
	gogoreplace \
		'option go_package = "google.golang.org/genproto/googleapis/rpc/errdetails;errdetails";' \
		'option go_package = "rpc";' \
		./google/rpc/error_details.proto

	(cd ./google/rpc && rm code.proto; wget ${URL}/google/rpc/code.proto)
	gogoreplace \
		'option go_package = "google.golang.org/genproto/googleapis/rpc/code;code";' \
		'option go_package = "rpc";' \
		./google/rpc/code.proto

	(cd ./google/api && rm http.proto; wget ${URL}/google/api/http.proto)
	gogoreplace \
		'option go_package = "google.golang.org/genproto/googleapis/api/annotations;annotations";' \
		'option go_package = "api";' \
		./google/api/http.proto

	(cd ./google/api && rm annotations.proto; wget ${URL}/google/api/annotations.proto)
	gogoreplace \
		'option go_package = "google.golang.org/genproto/googleapis/api/annotations;annotations";' \
		'option go_package = "api";' \
		./google/api/annotations.proto

=== debian/changelog ===
golang-github-gogo-googleapis (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #905493)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Sun, 05 Aug 2018 18:15:06 +0800

=== debian/control ===
Source: golang-github-gogo-googleapis
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-gogoprotobuf-dev
    ,libprotobuf-dev
Standards-Version: 4.1.4
Homepage: https://github.com/gogo/googleapis
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gogo-googleapis
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gogo-googleapis.git
XS-Go-Import-Path: github.com/gogo/googleapis
Testsuite: autopkgtest-pkg-go

Package: golang-github-gogo-googleapis-dev
Architecture: all
Depends: ${misc:Depends},
         golang-gogoprotobuf-dev
Description: googleapis generated with gogoprotobuf
 Google APIs generated by gogoprotobuf.
 .
 The grpc-example (https://github.com/gogo/grpc-example) includes an
 example usage of this repository.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_clean:
	dh_clean
	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files

override_dh_auto_build:
	## build compiler:
	DH_GOPKG="github.com/gogo/googleapis/protoc-gen-gogogoogleapis"    dh_auto_build -v
	## generate .pb.go files:
	PATH="$(CURDIR)/_build/bin:$${PATH}" $(MAKE) regenerate
	dh_auto_configure    ## install generated .pb.go files into build directory
	## build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-github-gogo-googleapis 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,7 @@
 URL="https://raw.githubusercontent.com/googleapis/googleapis/master/"
 
-test:
-	go test ./...
-
 regenerate:
-	go install github.com/gogo/googleapis/protoc-gen-gogogoogleapis
+	go install ./protoc-gen-gogogoogleapis
 
 	protoc \
 	--gogogoogleapis_out=\
@@ -25,7 +22,7 @@
 	google/api/annotations.proto
 
 update:
-	go install github.com/gogo/protobuf/gogoreplace
+	go get github.com/gogo/protobuf/gogoreplace
 
 	(cd ./google/rpc && rm status.proto; wget ${URL}/google/rpc/status.proto)
 	gogoreplace \

=== debian/changelog ===
golang-github-gogo-googleapis (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Added myself to Uploaders.
  * DH & compat to version 12.
  * Standards-Version: 4.4.0.
  * (Build-)Depends:
    = golang-gogoprotobuf-dev (>= 1.2.1~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Sep 2019 21:40:32 +1000

=== debian/control ===
Source: golang-github-gogo-googleapis
Section: devel
Priority: optional
Standards-Version: 4.4.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper (>= 12~),
               dh-golang,
               golang-any,
               golang-gogoprotobuf-dev (>= 1.2.1~)
    ,libprotobuf-dev
Homepage: https://github.com/gogo/googleapis
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gogo-googleapis
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gogo-googleapis.git
XS-Go-Import-Path: github.com/gogo/googleapis
Testsuite: autopkgtest-pkg-go

Package: golang-github-gogo-googleapis-dev
Architecture: all
Depends: ${misc:Depends},
         golang-gogoprotobuf-dev (>= 1.2.1~)
Description: googleapis generated with gogoprotobuf
 Google APIs generated by gogoprotobuf.
 .
 The grpc-example (https://github.com/gogo/grpc-example) includes an
 example usage of this repository.

## golang-github-gogo-googleapis 1.4.0

=== debian/changelog ===
golang-github-gogo-googleapis (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.0
  * Bump golang-gogoprotobuf-dev to 1.3.1
  * Exclude google/longrunning.
    So this package doesn't depend google.golang.org/grpc
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Update Standards-Version to 4.5.0
  * Bump debhelper-compat to 13
  * Add Rules-Requires-Root
  * Remove unused Files-Excluded in d/copyright

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 18 May 2020 00:08:35 +0800

=== debian/control ===
Source: golang-github-gogo-googleapis
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               gogoprotobuf (>= 1.3.1~),
               golang-any,
               golang-github-gogo-protobuf-dev (>= 1.3.1~),
               libprotobuf-dev,
Homepage: https://github.com/gogo/googleapis
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gogo-googleapis
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gogo-googleapis.git
XS-Go-Import-Path: github.com/gogo/googleapis
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-gogo-googleapis-dev
Architecture: all
Depends: golang-github-gogo-protobuf-dev (>= 1.3.1~),
         ${misc:Depends},
Description: googleapis generated with gogoprotobuf
 Google APIs generated by gogoprotobuf.
 .
 The grpc-example (https://github.com/gogo/grpc-example) includes an
 example usage of this repository.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-gogo-googleapis-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/gogo/googleapis/tags .*/v?(\d\S*)\.tar\.gz
